import {
  createPageContext,
  createSearchContext,
  createTableSearchContext,
} from '@hooks';
import {GetReserveWarningListParams, OriginalListParams} from '@models';

export const pageContext = createPageContext();
export const searchContext = createSearchContext();

export const contextState: OriginalListParams<GetReserveWarningListParams> = {
  wllbCode: '',
  materialName: '',
};
export const context = createTableSearchContext(contextState);
